// emerald skybox for Q3Radiant
// by Sock - 22nd August 2000
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
textures/aaa_inception/sky_beach
{
  qer_editorimage textures/emerald/emerald_view.tga
  surfaceparm noimpact
  surfaceparm nolightmap
  q3map_globaltexture
//  q3map_lightsubdivide 256
  q3map_surfacelight 150
  surfaceparm sky
  surfaceparm nodamage
  q3map_sun 0.6 0.6 0.6 2000 120 60
  skyparms env/emerald/emerald - -
}

// emerald skybox for Q3Radiant
// by Sock - 22nd August 2000
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
textures/aaa_inception/sky_mombasa
{
  qer_editorimage textures/emerald/emerald_view.tga
  surfaceparm noimpact
  surfaceparm nolightmap
  q3map_globaltexture
//  q3map_lightsubdivide 256
  q3map_surfacelight 400
  surfaceparm sky
  surfaceparm nodamage
  q3map_sun 0.6 0.6 0.6 2000 120 60
  skyparms env/emerald/emerald - -
}

// frozen skybox for Q3Radiant
// by Sock - 14th August 2000
// q3map_sun <red> <green> <blue> <intensity> <degrees> <elevation>
textures/aaa_inception/sky_snow
{
  qer_editorimage textures/frozen/frozen_view.tga
  surfaceparm noimpact
  surfaceparm nolightmap
  q3map_globaltexture
//  q3map_lightsubdivide 256
  surfaceparm sky
  surfaceparm nodamage
  q3map_sun 227 237 254 300 35 50
  skyparms env/frozen/frozen - -
}

textures/aaa_inception/sky_rain
{
  qer_editorimage env/inception/stormydays_dn.tga
  surfaceparm noimpact
  surfaceparm nolightmap
  surfaceparm sky
  surfaceparm nodamage
  q3map_globaltexture
  q3map_sunExt 0.6 0.6 0.8 350 330 52 2 16
  q3map_surfacelight 175
  skyParms env/inception/stormydays - -
  sort sky
  nopicmip
} 

textures/aaa_inception/watercaulk
{
  qer_editorimage textures/water/watercaulk.tga
  qer_trans 0.5
  surfaceparm nodraw
  surfaceparm detail
  surfaceparm noimpact
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm water
}

textures/aaa_inception/clip
{
  qer_editorimage textures/common/clip
  qer_trans 0.5
  surfaceparm nodraw
  surfaceparm nolightmap
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm nomarks
  surfaceparm noimpact
  surfaceparm playerclip
  surfaceparm nodamage
}

// By Delirium
textures/aaa_inception/water
{
  qer_editorimage textures/aaa_inception/water.tga
  qer_trans 0.5
  q3map_globaltexture

  surfaceparm trans
  surfaceparm noimpact
  surfaceparm nolightmap
  surfaceparm nomarks
  surfaceparm nodlight
  surfaceparm water

  cull disable
  nopicmip

  deformVertexes wave 1024 sin 0 0.5 0 0.5
  
  {
    map textures/aaa_inception/water.tga
    blendFunc gl_dst_color gl_one
    rgbGen identity
    tcMod scale 0.5 0.5
    tcMod turb 0.05 0.05 0.05 0.05
  }
  {
    map textures/aaa_inception/water.tga
    blendFunc gl_dst_color gl_one
    rgbGen identity
    tcMod scroll 0.05 -0.01
  }
  {
    map textures/aaa_inception/water.tga
    blendFunc gl_dst_color gl_one
    rgbGen identity
    tcMod scale 2 2
    tcMod turb 0 0.05 .5 0.05
  }
}

textures/aaa_inception/rain1
{
  qer_editorimage textures/aaa_inception/ry_rain1.tga
	qer_alphaFunc gequal 0.5
  surfaceparm trans
  surfaceparm noimpact
  surfaceparm nolightmap
  surfaceparm nomarks
  surfaceparm nodlight
  surfaceparm nonsolid
  cull none
  {
    map textures/aaa_inception/ry_rain1.tga
    blendFunc add
    rgbGen identity
    tcMod scroll 0 -5
    tcMod turb 0 0.3 0 0.1
  }
}

textures/aaa_inception/sand1
{
  qer_editorimage textures/aaa_inception/cg_sand1.jpg
  q3map_forceMeta
  q3map_shadeangle 60
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_sand1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/snow1
{
  qer_editorimage textures/aaa_inception/cg_snow1.jpg
  q3map_forceMeta
  q3map_shadeangle 179
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_snow1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/snow1_slick
{
  qer_editorimage textures/aaa_inception/cg_snow1.jpg
  q3map_shadeangle 179
  surfaceparm nodamage
  surfaceparm slick
  {
    map textures/aaa_inception/cg_snow1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/cliff1
{
  qer_editorimage textures/aaa_inception/r_cliff.jpg
  q3map_forceMeta
  q3map_shadeangle 60
  surfaceparm nodamage
  {
    map textures/aaa_inception/r_cliff.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/concrete1
{
  qer_editorimage textures/aaa_inception/tb_concrete1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/tb_concrete1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/concrete2
{
  qer_editorimage textures/aaa_inception/cg_concrete2.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_concrete2.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/concrete3
{
  qer_editorimage textures/aaa_inception/cg_concrete3.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_concrete3.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/concrete4
{
  qer_editorimage textures/aaa_inception/cg_concrete4.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_concrete4.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/wood1
{
  qer_editorimage textures/aaa_inception/cg_wood1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_wood1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/wood2
{
  qer_editorimage textures/aaa_inception/cg_wood2.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_wood2.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/wood3
{
  qer_editorimage textures/aaa_inception/cg_wood3.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_wood3.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/wood4
{
  qer_editorimage textures/aaa_inception/cg_wood4.jpg
  q3map_forceMeta
  q3map_shadeangle 179
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_wood4.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/wood5
{
  qer_editorimage textures/aaa_inception/cg_wood5.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_wood5.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/roof1
{
  qer_editorimage textures/aaa_inception/r_old_roof.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/r_old_roof.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/ornament1
{
  qer_editorimage textures/aaa_inception/cg_ornament1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_ornament1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/curtain1
{
  qer_editorimage textures/aaa_inception/cg_curtain1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  deformVertexes wave 32 sin 0 8 0 0.25
  {
    map textures/aaa_inception/cg_curtain1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/fabric1
{
  qer_editorimage textures/aaa_inception/cg_fabric1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_fabric1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/glass1
{
  qer_editorimage textures/aaa_inception/cg_glass1.jpg
  q3map_forceMeta
  q3map_surfaceLight 25000
  q3map_lightImage textures/aaa_inception/glass1_light.jpg
  surfaceparm nodamage
  {
    map $lightmap
    rgbGen identity
  }
  {
    map textures/aaa_inception/cg_glass1.jpg
  }
  {
    map textures/aaa_inception/glass1_light.jpg
    blendFunc filter
  }
}

textures/aaa_inception/glass2
{
  qer_editorimage textures/aaa_inception/ry_glass2.tga
  qer_trans 0.5
  surfaceparm nodamage
  cull none
  {
    map textures/aaa_inception/ry_glass2.tga
    tcGen environment
    tcMod turb 0 0.01 0 0.01
    tcmod scroll .01 .01
    blendFunc add
  }
  {
    map $lightmap
    blendFunc filter
    tcGen lightmap 
  }
}

textures/aaa_inception/reflections1
{
  qer_editorimage textures/aaa_inception/sg_reflections1.jpg
  qer_trans 0.5
  surfaceparm nonsolid
  surfaceparm trans
  surfaceparm nolightmap
  polygonOffset
  entityMergable
  {
    map textures/aaa_inception/sg_reflections1.jpg
    tcMod turb 0 0.05 0 0.05
    tcmod scroll 0.05 0.05
    blendFunc add
  }
// uncomment for extra less fps
//  {
//    map textures/aaa_inception/sg_reflections1.jpg
//    tcMod turb 0 0.15 0 0.15
//    tcmod scroll -0.01 -0.01
//    blendFunc add
//  }
}

textures/aaa_inception/metal1
{
  qer_editorimage textures/aaa_inception/cg_metal1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_metal1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/pavement1
{
  qer_editorimage textures/aaa_inception/cg_pavement1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_pavement1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/pavement2
{
  qer_editorimage textures/aaa_inception/cg_pavement2.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_pavement2.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/grass1
{
  qer_editorimage textures/aaa_inception/cg_grass1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_grass1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/asphalt1
{
  qer_editorimage textures/aaa_inception/cg_asphalt1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_asphalt1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/asphalt1_wet
{
  qer_editorimage textures/aaa_inception/cg_asphalt1.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_asphalt1_wet.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/asphalt2
{
  qer_editorimage textures/aaa_inception/cg_asphalt2.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_asphalt2.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/asphalt3
{
  qer_editorimage textures/aaa_inception/cg_asphalt3.jpg
  q3map_forceMeta
  surfaceparm nodamage
  {
    map textures/aaa_inception/cg_asphalt3.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/ivy1
{
  qer_editorimage textures/aaa_inception/ivy.tga
	qer_alphaFunc gequal 0.5
  q3map_forceMeta
  surfaceparm trans
  surfaceparm alphashadow
  surfaceparm nonsolid
  surfaceparm nomarks
  nopicmip
  polygonOffset
  entityMergable
  cull none
//  deformVertexes wave 5 sin 0 0.2 0 0.3
  {
    map textures/aaa_inception/ivy.tga
    alphaFunc GE128
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/secret1
{
  qer_editorimage textures/aaa_inception/ms_dashie1.jpg
  q3map_forceMeta
  surfaceparm nomarks
  polygonOffset
  entityMergable
  {
    map textures/aaa_inception/ms_dashie1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/fog_rainy
{
  qer_editorimage textures/sfx/fog_grey.tga
  qer_trans 0.2
//  q3map_surfacelight 1
  surfaceparm	trans
  surfaceparm	nonsolid
  surfaceparm	fog
//  surfaceparm	nolightmap
  surfaceparm nodraw
  surfaceparm detail
  fogparms ( .6 .6 .8 ) 1024
}

textures/aaa_inception/ad1
{
  qer_editorimage textures/aaa_inception/ad1.jpg
  q3map_forceMeta
  surfaceparm nomarks
  polygonOffset
  entityMergable
  {
    map textures/aaa_inception/ad1.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

textures/aaa_inception/ad2
{
  qer_editorimage textures/aaa_inception/ad2.jpg
  q3map_forceMeta
  surfaceparm nomarks
  polygonOffset
  entityMergable
  {
    map textures/aaa_inception/ad2.jpg
  }
  {
    map $lightmap
    rgbGen identity
  }
}

